Bug 26769 - Remove the use of jquery.checkboxes plugin from staff interface search history
Summary: Remove the use of jquery.checkboxes plugin from staff interface search history
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks: 26806 26006
  Show dependency treegraph
 
Reported: 2020-10-21 18:28 UTC by Owen Leonard
Modified: 2020-11-03 09:59 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26769: Remove the use of jquery.checkboxes plugin from staff interface search history (8.35 KB, patch)
2020-10-23 11:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Attachment to Bug 26769 - Remove the use of jquery.checkboxes plugin from staff interface search history (8.41 KB, patch)
2020-10-24 20:27 UTC, Lisette Scheer
Details | Diff | Splinter Review
Bug 26769: Remove the use of jquery.checkboxes plugin from staff interface search history (8.47 KB, patch)
2020-10-25 01:29 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-10-21 18:28:27 UTC
As described in Bug 26006 the jquery.checkboxes plugin is old and unmaintained. 

Its use should replaced in the staff interface on the staff interface search history page.
Comment 1 Owen Leonard 2020-10-23 11:24:29 UTC
Created attachment 112258 [details] [review]
Bug 26769: Remove the use of jquery.checkboxes plugin from staff interface search history

This patch modifies the staff interface search history page to eliminate
theuse of the jquery.checkboxes plugin.

To test you should have some search history items for bibliographic and
authority records, both from today and from days previous.

Apply the patch and click the logged-in-user link in the staff client
header. Choose "Search history."

On the search history page, test the "Select all" and "Clear selection"
links corresponding to all four tables:

- Catalog: Current session
- Catalog: Previous sessions
- Authority: Current session
- Authority: Previous sessions

In all cases the links should work correctly, affecting only the
corresponding tables. Confirm that the "Select all" action enables the
corresponding "Delete" link for each table.
Comment 2 Lisette Scheer 2020-10-24 20:27:54 UTC
Created attachment 112399 [details] [review]
Attachment to Bug 26769 - Remove the use of jquery.checkboxes plugin from staff interface search history

Bug 26769: Remove the use of jquery.checkboxes plugin from staff interface search history

This patch modifies the staff interface search history page to eliminate
theuse of the jquery.checkboxes plugin.

To test you should have some search history items for bibliographic and
authority records, both from today and from days previous.

Apply the patch and click the logged-in-user link in the staff client
header. Choose "Search history."

On the search history page, test the "Select all" and "Clear selection"
links corresponding to all four tables:

- Catalog: Current session
- Catalog: Previous sessions
- Authority: Current session
- Authority: Previous sessions

In all cases the links should work correctly, affecting only the
corresponding tables. Confirm that the "Select all" action enables the
corresponding "Delete" link for each table.

Signed-off-by: Lisette Scheer <lisettes@latahlibrary.org>
Comment 3 Katrin Fischer 2020-10-25 01:29:20 UTC
Created attachment 112444 [details] [review]
Bug 26769: Remove the use of jquery.checkboxes plugin from staff interface search history

This patch modifies the staff interface search history page to eliminate
theuse of the jquery.checkboxes plugin.

To test you should have some search history items for bibliographic and
authority records, both from today and from days previous.

Apply the patch and click the logged-in-user link in the staff client
header. Choose "Search history."

On the search history page, test the "Select all" and "Clear selection"
links corresponding to all four tables:

- Catalog: Current session
- Catalog: Previous sessions
- Authority: Current session
- Authority: Previous sessions

In all cases the links should work correctly, affecting only the
corresponding tables. Confirm that the "Select all" action enables the
corresponding "Delete" link for each table.

Signed-off-by: Lisette Scheer <lisettes@latahlibrary.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-11-03 09:59:20 UTC
Pushed to master for 20.11, thanks to everybody involved!